org.apache.commons.collections4.multiset

## Class AbstractMultiSet.UniqueSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - org.apache.commons.collections4.multiset.AbstractMultiSet.UniqueSet<E>

- All Implemented Interfaces:
    Iterable<E>, Collection<E>, Set<E>
  Enclosing class:
    AbstractMultiSet<E>

      protected static class AbstractMultiSet.UniqueSet<E>
      extends AbstractSet<E>

  Inner class UniqueSet.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractMultiSet<E>` | `parent` The parent multiset

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UniqueSet(AbstractMultiSet<E> parent)` Constructs a new unique element view of the MultiSet.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(Object key)`
    `boolean` | `containsAll(Collection<?> coll)`
    `Iterator<E>` | `iterator()`
    `boolean` | `remove(Object key)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, isEmpty, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, isEmpty, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### parent

          protected final AbstractMultiSet<E> parent

      The parent multiset

  - ### Constructor Detail

    - #### UniqueSet

          protected UniqueSet(AbstractMultiSet<E> parent)

      Constructs a new unique element view of the MultiSet.
      Parameters:
        `parent` - the parent MultiSet

  - ### Method Detail

    - #### iterator

          public Iterator<E> iterator()

      Specified by:
        `iterator` in interface `Iterable<E>`
      Specified by:
        `iterator` in interface `Collection<E>`
      Specified by:
        `iterator` in interface `Set<E>`
      Specified by:
        `iterator` in class `AbstractCollection<E>`

    - #### contains

          public boolean contains(Object key)

      Specified by:
        `contains` in interface `Collection<E>`
      Specified by:
        `contains` in interface `Set<E>`
      Overrides:
        `contains` in class `AbstractCollection<E>`

    - #### containsAll

          public boolean containsAll(Collection<?> coll)

      Specified by:
        `containsAll` in interface `Collection<E>`
      Specified by:
        `containsAll` in interface `Set<E>`
      Overrides:
        `containsAll` in class `AbstractCollection<E>`

    - #### remove

          public boolean remove(Object key)

      Specified by:
        `remove` in interface `Collection<E>`
      Specified by:
        `remove` in interface `Set<E>`
      Overrides:
        `remove` in class `AbstractCollection<E>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<E>`
      Specified by:
        `size` in interface `Set<E>`
      Specified by:
        `size` in class `AbstractCollection<E>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<E>`
      Specified by:
        `clear` in interface `Set<E>`
      Overrides:
        `clear` in class `AbstractCollection<E>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.